View Issue Details

IDProjectCategoryView StatusLast Update
0008756VALENTINA SERVEROtherpublic2020-04-06 06:05
ReporterFrançois Van LerbergheAssigned ToIvan Smahin 
PriorityurgentSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
PlatformINTELOSWindowsOS Version*
Product Version10.0.x 
Target VersionFixed in Version10.1.x 
Summary0008756: Unable to stop server properly on Windows
DescriptionWith API (myVServer.Shutdown) : no crash, but my vServer service is frozen. Service Application show it is not stopped. But it's unusable by a vClient.
With Service application : Windows try to stop during a long period and, after an error message, it show the start button (as it was stopped).
In both case, the file master.vdb.journal is stil there. That make me think that it still in use or not properly stopped.
It seem that it crash when I try to stop it.
And It's impossible to restart it from the Windows Service application
Steps To Reproduce- Start vServer service on Windows.
- Try to stop it (with API - vServer. myVServer.Shutdown or with the Service Application). Or try to restart it
TagsNo tags attached.

Activities

Ivan Smahin

Ivan Smahin

2020-03-31 10:05

manager   ~0011186

BTW,
"As I can see in the log file, the server is trying to terminate endlessly but is failing so ("Terminating the connection : FAILED";) and the log file is rapidly growing..."


Could you send me the vServer log? Please do it with VerbooseMode == 3.
François Van Lerberghe

François Van Lerberghe

2020-03-31 15:40

reporter   ~0011187

This is part of the file, but not with verboseMode 3. After setting this value to 3, I was unable to reproduce this endless terminating attempt.

EndLessTerminatingAttempt(part)_20200325_082909.log (5,201 bytes)
François Van Lerberghe

François Van Lerberghe

2020-03-31 15:58

reporter  

1.ScreenshotAfterShutdownViaAPI.png (23,657 bytes)
2.ScreenshotTryingShutdownViaServices.png (34,267 bytes)
3.ScreenshotShutdownViaServicesErrorMessage.PNG (33,024 bytes)
François Van Lerberghe

François Van Lerberghe

2020-03-31 15:58

reporter   ~0011188

Here are details about my shutdown attempts with verboseMode = 3.
I made a shutdown via API (myServer.Shutdown)
1) I made then the screenshot "1.ScreenshotAfterShutdownViaAPI.png" : The Services pane doesn't show that the server (Pegase Serveur_x64) is stopped.
2) Next I try to stop with the Services app, clicking on Shutdown ("Arr?ter"). Long time to wait. This is the screenshot "2.ScreenshotTryingShutdownViaServices.png"
3) And this end with the error message shown in the screenshot "3.ScreenshotShutdownViaServicesErrorMessage.PNG"
4) Finally the services pane doesn't show any command next the server. This is the screenshot "4.ScreenshotAfterShutdownViaServices.PNG". I cannot do anything with the server. I have to restart the computer !
5) The log file joined here show my attempt to shutdown on on Tue Mar 31 2020 13:31:36,
and the last message on Tue Mar 31 2020 13:47:19 just before the computer restart

4.ScreenshotAfterShutdownViaServices.PNG (21,928 bytes)
ShutdownAttempt_20200331_133101.log (7,652 bytes)
François Van Lerberghe

François Van Lerberghe

2020-03-31 16:05

reporter   ~0011189

Here you'll find the log file about my attempt to restart via API (myServer.Restart) with VerboseMode = 3. The command is at 13:57:45.
After that the server seems to be frozen (I cannot reconnect to it). I have to shutdown via the Services app (the command is at 14:01:10). Master.vdb.journal is not deleted.

RestartAttempt_20200331_135640.log (8,563 bytes)

Issue History

Date Modified Username Field Change
2020-03-24 19:24 François Van Lerberghe New Issue
2020-03-31 10:04 Ivan Smahin Assigned To => Ivan Smahin
2020-03-31 10:04 Ivan Smahin Status new => assigned
2020-03-31 10:05 Ivan Smahin Note Added: 0011186
2020-03-31 15:40 François Van Lerberghe File Added: EndLessTerminatingAttempt(part)_20200325_082909.log
2020-03-31 15:40 François Van Lerberghe Note Added: 0011187
2020-03-31 15:58 François Van Lerberghe File Added: 1.ScreenshotAfterShutdownViaAPI.png
2020-03-31 15:58 François Van Lerberghe File Added: 2.ScreenshotTryingShutdownViaServices.png
2020-03-31 15:58 François Van Lerberghe File Added: 3.ScreenshotShutdownViaServicesErrorMessage.PNG
2020-03-31 15:58 François Van Lerberghe File Added: 4.ScreenshotAfterShutdownViaServices.PNG
2020-03-31 15:58 François Van Lerberghe File Added: ShutdownAttempt_20200331_133101.log
2020-03-31 15:58 François Van Lerberghe Note Added: 0011188
2020-03-31 16:05 François Van Lerberghe File Added: RestartAttempt_20200331_135640.log
2020-03-31 16:05 François Van Lerberghe Note Added: 0011189
2020-04-06 06:05 Ivan Smahin Status assigned => resolved
2020-04-06 06:05 Ivan Smahin Resolution open => fixed
2020-04-06 06:05 Ivan Smahin Fixed in Version => 10.1.x